# Generated by Django 3.1 on 2020-12-14 15:48

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('projector', '0040_auto_20201214_1048'),
    ]

    operations = [
        migrations.CreateModel(
            name='Hook',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField(blank=True)),
                ('endpoint', models.SlugField(help_text='This will be the endpoint to target', max_length=256)),
                ('hook_type', models.CharField(choices=[('test', 'Test (only logs)'), ('email', 'Send Email')], default='test', max_length=64)),
                ('configuration', models.JSONField()),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='projector.project')),
            ],
        ),
    ]
